//#################################################################################################//
//#                                                                                               #// 
//#  **** Schneider Engineering, Bad Vilbel ***                                                   #//
//#  **** Inh.  Dipl.-Ing. Peter Schneider  ***                                                   #//
//#                                                                                               #//
//#  Filename : astarDefaults.h                                                                   #//
//#  Project  : Odemetrie                                                                         #//
//#                                                                                               #//
//#                                                                                               #//    
//#  Odemetrie mit A* Pathfindig Algorithmus ein moeglicher Implementierungsvorschlag             #// 
//#  Quelle des Algorithmus www.wikipedia.de                                                      #//
//#                                                                                               #//
//#  (c) Peter Schneider (Schneider Engineering software / hardware development)                  #//
//#  www.ps-robotics.com                                                                          #//
//#                                                                                               #//
//#  Version:                                                                                     #//         
//#  1.00       10 July 2011 07:55       Original release                                         #//
//#                                                                                               #//
//# This program is free software; you can redistribute it and/or modify                          #//
//# it under the terms of the GNU General Public License as published by                          #//
//# the Free Software Foundation; either version 2 of the License, or                             #//
//# (at your option) any later version.                                                           #//
//#                                                                                               #//		
//# This program is distributed in the hope that it will be useful,                               #//
//# but WITHOUT ANY WARRANTY; without even the implied warranty of                                #//	
//# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                                 #//	
//# GNU General Public License for more details.                                                  #//
//#                                                                                               #//
//# You should have received a copy of the GNU General Public License                             #//
//# along with this program; if not, write to peter.schneider@schneider-engineerings.de           #//
//#                                                                                               #//
//#################################################################################################//
//

#ifndef	DEFAULTS_H
#define	DEFAULTS_H


/*  ********** Globale Variablen *********** */
#define        xl             2                    // Matrix   X-Achse  low
#define        xh             40                   // Matrix   X-Achse  high
#define        yl             2                    // Matrix   Y-Achse  low
#define        yh             20                   // Matrix   Y-Achse  high

#define        Start_X        2			   // Startpunkt x, Y
#define        Start_Y        3

#define        Ziel_X         30	           // Zielpunkt x, Y
#define        Ziel_Y         9




int            matrix [xh+2] [yh+2];               // Matrix mit Start, Zielpunkt und Hindernisse

int            index_A      = 0;                   // Index der offenen Liste (A) 
int            index_B      = 0;                   // Index der geschlossenen Liste (B)
int            KnotenNummer = 0;		   // Zaehlvariable fuer die Knotennummer
int            VorKnoten    = 0;	           // Zaehlvariable fuer die Knotennummer des Vorgaengerknotens




// **** Struktur der Kosten pro Knoten anlegen 
// **** offnen Liste von Knoten erzeugen       (array  OpenListKnoten)
// **** geschlossene Liste von Knoten erzeugen (array  CloseListKnoten)
struct Kosten
{
	int  X;			                   // X-Koordinate
	int  Y;                                    // Y-Koordinate
	int  H;                                    // Heuristische Funktion
	int  F;                                    // Summe Kosten
	int  G;                                    // Gewicht (Kosten) von Knoten zum Nachbarknoten
	int  KNr;                                  // laufende Knotennummer
	int  Vorg;                                 // Nummer des Vorgaengerknotens
};                                     

struct Kosten listeA [xh*yh+2];                    // offene Liste von Knoten anlegen auf Grundlage 
                                                   // des einzelnen Knoten in der struktur 

struct Kosten listeB [xh*yh+2];                    // geschlossen Liste von Knoten anlegen auf Grundlage
                                                   // des einzelnen Knoten in der struktur 


#endif // DEFAULTS_H