//#################################################################################################//
//#                                                                                               #// 
//#  **** Schneider Engineering, Bad Vilbel ***                                                   #//
//#  **** Inh.  Dipl.-Ing. Peter Schneider  ***                                                   #//
//#                                                                                               #//
//#  Filename :  odemetrie.c                                                                      #//
//#  Project  :  Roboter                                                                          #//
//#                                                                                               #//
//#                                                                                               #//    
//#  Odemetrie mit A-STAR Pathfindig Algorithmus ein moeglicher Implementierungsvorschlag         #// 
//#  Quelle des Algorithmus www.wikipedia.de                                                      #//
//#                                                                                               #//
//#  (c) Peter Schneider (Schneider Engineering software / hardware development)                  #//
//#  www.ps-robotics.com                                                                          #//
//#                                                                                               #//
//#  Version:                                                                                     #//         
//#  1.01       10 July 2011 012:55       Original release                                        #//
//#                                                                                               #//
//# This program is free software; you can redistribute it and/or modify                          #//
//# it under the terms of the GNU General Public License as published by                          #//
//# the Free Software Foundation; either version 2 of the License, or                             #//
//# (at your option) any later version.                                                           #//
//#                                                                                               #//		
//# This program is distributed in the hope that it will be useful,                               #//
//# but WITHOUT ANY WARRANTY; without even the implied warranty of                                #//	
//# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                                 #//	
//# GNU General Public License for more details.                                                  #//
//#                                                                                               #//
//# You should have received a copy of the GNU General Public License                             #//
//# along with this program; if not, write to peter.schneider@schneider-engineerings.de           #//
//#                                                                                               #//
//#################################################################################################//
//
//
#include <stdio.h>
#include <conio.h>
#include <time.h>
#include <dos.h>
#include <stdlib.h>
#include <windows.h>
#include <string.h>
#include <commctrl.h>
#include <ctype.h>

// Einbinder des HeaderFiles "astarLibaray.h"
#include "astarLibaray.h"


// ***************  Hauptprogramm  *************** 
int main (void)
{
   // lokale Variablen
   int   c;                                  // Tastaturabfrage Variable    
   int   k;
   int   v;
   int   i;

       
   // System initialisieren
   init_hindernis();                         // Hindernisse in der Umgebugs - Matric einfgen und zeichnen 
  
  
	
	v = 1;   
   /* ************** Endlos-Schleife ******************* */
   while ( v == 1)
   {
      k = kbhit ();       				    	   // Borland ISR fr Tastaturpufferabfrage
      Sleep (100);
	                           
      if (k != 0)							         // Tastaturpuffer gedrckt  > 0  = true
	   {
	      c = getch ();					         // Wert aus Tastaturpuffer lesen			

         if (c == 27)                        // ESC Taste -> Program Ende 
            v = 0;
    
         else if (c == 13)
         {
            // Pathfindig Algorthmus aufrufen
            astar(Start_X, Start_Y, Ziel_X, Ziel_Y); 
            
            // Zeichne Weg in die Matrix
            ZeichneWeg ();
            
            v = 0;
            gotoxy (2,yh+5);
            printf ("\n");
         }
      }   
   }  // Ende  While  Schleife   
   return (0);
}
